VULKAN_HPP_NAMESPACE::MemoryRequirements2 Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::MemoryRequirements2:
[legend]

## Public Member Functions

| operator VkMemoryRequirements2 const & () const
| operator VkMemoryRequirements2 & ()
bool | operator== (MemoryRequirements2 const &rhs) const
bool | operator!= (MemoryRequirements2 const &rhs) const

## Data Fields

void * | pNext = nullptr
MemoryRequirements | memoryRequirements

## Private Attributes

StructureType | sType = StructureType::eMemoryRequirements2

## Detailed Description

Definition at line 16071 of file vulkan.hpp.

## Member Function Documentation

## operator VkMemoryRequirements2 &()

VULKAN_HPP_NAMESPACE::MemoryRequirements2::operator VkMemoryRequirements2 & | ( |  | ) |

inline

Definition at line 16078 of file vulkan.hpp.

{
return *reinterpret_cast<VkMemoryRequirements2*>(this);
}

## operator VkMemoryRequirements2 const &()

VULKAN_HPP_NAMESPACE::MemoryRequirements2::operator VkMemoryRequirements2 const & | ( |  | ) | const

inline

Definition at line 16073 of file vulkan.hpp.

{
return *reinterpret_cast<const VkMemoryRequirements2*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::MemoryRequirements2::operator!= | ( | MemoryRequirements2 const & | rhs | ) | const

inline

Definition at line 16090 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::MemoryRequirements2::operator== | ( | MemoryRequirements2 const & | rhs | ) | const

inline

Definition at line 16083 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( memoryRequirements == rhs.memoryRequirements );
}

References memoryRequirements, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## memoryRequirements

MemoryRequirements VULKAN_HPP_NAMESPACE::MemoryRequirements2::memoryRequirements

Definition at line 16100 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::MemoryRequirements2::pNext = nullptr

Definition at line 16099 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::MemoryRequirements2::sType = StructureType::eMemoryRequirements2

private

Definition at line 16096 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MemoryRequirements2::memoryRequirements
MemoryRequirements memoryRequirements
Definition: vulkan.hpp:16100
VULKAN_HPP_NAMESPACE::MemoryRequirements2::operator==
bool operator==(MemoryRequirements2 const &rhs) const
Definition: vulkan.hpp:16083
VULKAN_HPP_NAMESPACE::MemoryRequirements2::pNext
void * pNext
Definition: vulkan.hpp:16099
VkMemoryRequirements2
Definition: vulkan_core.h:4138
VULKAN_HPP_NAMESPACE::MemoryRequirements2::sType
StructureType sType
Definition: vulkan.hpp:16096